# Get Curves For a Roast Gets the curves for a roast by the roasted lot ID. Endpoint: POST /inventory.roast.getRoastCurvesById Security: oauth2 ## Request fields (application/json): - `params` (object) - `params.filter` (object) Defines all required and optional filter parameters for the operation. - `params.filter.roastedLotId` (string, required) A unique identifier (UUID) representing the roasted lot ID to get the roast curves for. Example: "123e4567-e89b-12d3-a456-426614174000" - `params.pagination` (object) Defines all required and optional pagination parameters for the operation. - `params.pagination.limit` (integer) The number of elements to be returned Example: 20 - `params.pagination.after` (string) The cursor to retrieve the next page. This is an opaque value that should not be interpreted by the client. Example: "aBc=" ## Response 200 fields (application/json): - `ok` (boolean) Indicates whether the request was successful. Example: true - `result` (object) Contains the response data of a successful request. - `result.roastCurves` (array) - `result.roastCurves.name` (string) The name of the curve. Example: "beanTemperature" - `result.roastCurves.unit` (string) The unit of all the values in the curve. Can be different types of units depending on the curve, e.g. temperature, pressure... Example: "CELSIUS" - `result.roastCurves.dataPoints` (array) The data points of the curve, where each point consists of a time (in milliseconds since the start of the roast) and a value. - `result.roastCurves.dataPoints.time` (number) The time of the data point in milliseconds since the start of the roast. Example: 1200 - `result.roastCurves.dataPoints.value` (number) The value of the data point. Example: 200 ## Response 400 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 401 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 403 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 422 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 500 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided"